Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Thu, 27 Mar 2014 07:15:45 +0000

Juanma Barranquero writes:
 > On Wed, Mar 26, 2014 at 11:58 PM, Robert Marshall <[email-masked]> wrote:
 > 
 > > Did that, built (with just a make) and got Invalid read syntax ")" on dired-aux
 > > so I then tried make bootstrap and get
 > >
 > > .....
 > > Eager macro-expansion failure: (invalid-read-syntax ")")
 > 
 > I just bootstrapped both trunk and emacs-24 without any trouble.
 > Perhaps it is a POSIX-specific failure.

Thanks for doing that check - I assume as I've not done anything
special (that's emacs-24 orientated) that I'm on the trunk.

 > 
 > I'd suggest cleaning up the workspace (with bzr clean-tree),
 > reconfiguring and bootstrapping again.
 > 
Did
bzr pull
bzr clean-tree (and 'y' to  delete of various files)
./configure
make bootstrap

And still get

Saving file /home/robert/emacs-bzr/lisp/calendar/cal-loaddefs.el...
Eager macro-expansion failure: (invalid-read-syntax ")")
......
Eager macro-expansion failure: (invalid-read-syntax ")")
Wrote /home/robert/emacs-bzr/lisp/calendar/cal-loaddefs.el
Eager macro-expansion failure: (invalid-read-syntax ")")
.......
Loading macroexp.elc...
Invalid read syntax: ")"
make[3]: *** [calendar/cal-loaddefs.el] Error 255

Looking back in the make I see

../lisp/minibuffer.el: `with-wrapper-hook' is an obsolete macro (as of 24.4); use a <foo>-function variable modified by `add-function'.
Loading /home/robert/emacs-bzr/lisp/abbrev.el (source)...
../lisp/abbrev.el: `with-wrapper-hook' is an obsolete macro (as of 24.4); use a <foo>-function variable modified by `add-function'.
Loading /home/robert/emacs-bzr/lisp/simple.el (source)...
../lisp/simple.el: `with-wrapper-hook' is an obsolete macro (as of 24.4); use a <foo>-function variable modified by `add-function'.

Not sure whether those messages are expected.

Robert
-- 
Robert Marshall